<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {make_btn} function plugin
 *
 * File:       function.make_btn.php<br>
 * Type:       function<br>
 * Name:       make_btn<br>
 * Date:       2007-11-15<br>
 * Purpose:    Prints out a list of checkbox input types<br>
 * Input:<br>
 *           - napis      (required) - string default "checkbox"
 *           - adres      (optional) - string default ""
 *           - parametry  (optional) - string default array()
 * Examples:
 * <pre>
 * {make_btn napis="Przycisk" output="index.php"}
 * {make_btn napis="Przycisk" output="#" onclick="document.forms[0].submit();" style="color: red;"}
 * </pre>
 * @author     Jarek Kotowski <jarek@solution-4u.com>
 * @version    1.0
 * @param array
 * @param Smarty
 * @return string
 */

 
function smarty_function_sonda($params, &$smarty){
    $napis = '';
    $adres = '';
    $parametry = array();
    $extra = '';
    $css = '';
    
    foreach($params as $_key => $_val) {
        switch($_key) {
            case 'napis':
                $$_key = (string)$_val;
            break;
                
            case 'id':
                $id =$_val;
            break;

            case 'adres':
                $$_key = (string)$_val;
            break;
                
            default:
                if( !is_array($_val) ) {
                    $extra .= ' '.$_key.'="'.addcslashes($_val, '"').'"';
                }
            break;
        }
    }

    
   	$sonda->pobierz();			
    $i = 1;		
    
          return '<div id=conatiner style="width:400px;background:white; border:1px solid #888" >
            <span class="pytanie">'.$sonda->PYTANIE.'</span>
            <div id="sonda">
          <table width="400" cellspacing="0" cellpadding="8" width=100%>';
          

          foreach($rows as $row){
                
                if( $i % 2 == 1){$bg = "browserodd"; }else{$bg = "browsereven";}
                echo '<tr class='.$bg.' >
                       <td align=center valign=top>'.$sonda->ODPOWIEDZI['ODPOWIEDZ'].'</td> 
                        <td  align=center valign=top><input class="odpowiedz" type="radio" name="odpowiedzi" value='.$row['ID'].'></td>
                      </tr>';

                 $i++;
          }
          
         echo '<tr><td><a href="#"  onclick="wyniki()" >gosuj</a></td><tr></table></div></div>';

  
}
    







?>
