{naglowek}

<form action="{$PHP_SELF}" method=POST name="contact_group_form" >
    <input type="hidden" name="form_send" value="true">
    <input type="hidden" name="action" value="{$action}">
    <input type="hidden" name="mode" value="{$mode}">
    <input type="hidden" name="ID" value="{$contact_group->ID}" />
    <input type="hidden" name="EXT" value="{$contact_group->EXT}" />

{if $contact_group->error}
    {include file="errors.tpl" error=$contact_group->error errors=$contact_group->errors}
{/if}

<table class="data" width="600" border="0" cellpadding="0" cellspacing="0">
    <tr class="even">
        <td width=200>Nazwa grupy kontrahentw: </td>
        <td><b>{$contact_group->NAZWA}</b></td>
    </tr>

    <tr class="even">
        <td width=200><label for="contact_group_wyswietl">Wywietl: </label></td>
        <td>
            <a onclick="view('contact_group_wyswietl_hint');" class=help></a>

            <input type="checkbox" name="WYSWIETL" value="1" id="contact_group_wyswietl" {if $contact_group->WYSWIETL} checked="checked"{/if}/>

            <div id="contact_group_wyswietl_hint" class="hint">
              Czy grupa kontrahentw ma byc wyswietlana w drzewie dla mobilnych handlowcw.
            </div>
        </td>
    </tr>

    <tr class="even">
        <td width=200><label for="contact_group_zk_mag_id">Magazyn zamwie: </label></td>
        <td>
          <a onclick="view('contact_group_zk_mag_id_hint');" class=help></a>

          <select name="ZK_MAG_ID" id="contact_group_zk_mag_id">
              <option>Wybierz</option>
              {html_options options=$magazyny selected=$contact_group->ZK_MAG_ID}
          </select>

          <div id="contact_group_zk_mag_id_hint" class="hint">
              Magazyn na ktry maj by skadane zamwienia dla kontrahentw przypisanych do tej grupy.
          </div>
        </td>
    </tr>

    <tr class="even">
        <td width=200 valign=top>Wywietlaj stan towaru z magazynw: </td>
        <td>
            <a onclick="view('contact_group_magazyny_hint');" class=help></a>

            <div class="contact_group_magazyny" id='sposobDostawyPlatnosci' style="clear: right;">
                {foreach from=$magazyny key=magazyn_id item=magazyn_nazwa}
                <div style="padding: 2px; vertical-align: middle; width: 300px; overflow: hidden;" >
                  <input type="checkbox" class="checkbox" style="float:left;" name="MAGAZYNY[]" value="{$magazyn_id}" id="contact_group_magazyn_{$magazyn_id}" {if in_array($magazyn_id, $contact_group->MAGAZYNY)} checked="checked"{/if} />
                  <label style="display: inline-block; padding: 5px 5px; width: 180px; text-wrap: none; overflow: hidden;" for="contact_group_magazyn_{$magazyn_id}">{$magazyn_nazwa}</label>
                </div>
                {/foreach}
            </div>

            <div id="contact_group_magazyny_hint" class="hint">
                Wybierz magazyny z ktrych ma by wywietlany stan towarw dla kontrahentw z tej grupy kontrahentw.
                Jeli aden magazyn nie bdzie zaznaczony, wwczas stan bdzie liczony domylnie w e-commerce.
            </div>
        </td>
    </tr>

    <tr>
        <td colspan=2 align=center>
        <div class="btns">
            <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif" />

            {make_btn napis="Zapisz" adres="" onclick="document.forms['sp_dost_form'].submit()" class="submit-btn"}
            {make_btn napis="Anuluj" adres="" onclick="$anuluj_onclick"}
        </div>
        </td>
    </tr>
</table>
</form>

{if $ajax}
{literal}
<script type="text/javascript">
jQuery(function(){
    var group_id  =  '{/literal}{$contact_group->ID}{literal}';
    var group_ext =  '{/literal}{$contact_group->EXT}{literal}';
    var $checkbox  = jQuery('#contact_group' + (group_ext ? '_ext' : '') + '_wyswietl' + group_id );

    if ( $checkbox.length ) {
        $('#contact_group_wyswietl').click(function(){
            $checkbox[0].checked = this.checked;
            $checkbox.triggerHandler('click');
        });

        //ustawiam z formularza
        $('#contact_group_wyswietl')[0].checked = $checkbox[0].checked;
    }
});
</script>
{/literal}
{/if}

{stopka}
