<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_function_img_preview_init( $params, &$smarty ){
    $TPL_IMG_URL = $smarty->get_template_vars('TPL_IMG_URL');

    $str = '<script type="text/javascript" src="'.SCRIPT_URL.'/img_preview.js"></script>';
    
    $str .= '<div id="img_preview" class="img_preview" onmouseover="img_preview_hide()">'."\n";
    $str .= '<img src="'.$TPL_IMG_URL.'/loading.gif" border=0 id="img_preview_loader" class="img_preview_loader" alt="Prosz czeka" style="vertical-align:middle">'."\n";
    $str .= '    <div id="img_preview_contents" class="img_preview_contents">&nbsp;</div>'."\n";
    $str .= '</div>'."\n";
    $str .= '<img src="'.$TPL_IMG_URL.'/icons/img-arrow-left.gif" id="img_preview_arrow" class="img_preview_arrow">'."\n";
    
    return $str;
}

?>
