<?php
/**
 * Plugin wywietla infromacje na temat sposobu dostawy
 *
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_function_sposob_dostawy_info($params, &$smarty){

    $zamowienie = $smarty->get_template_vars('zamowienie');
    if( !$zamowienie ){
        $zamowienie = $smarty->get_template_vars('zk');
        if( !$zamowienie ){
            return;
        }
    }

    $output = '';

    if ( !empty($zamowienie->punkt_odbioru) ) {
        $punkt = $zamowienie->punkt_odbioru;

        $output = '<div class="punkt-odbioru">'.
                $punkt['full_name'] . '<br />' .
                $punkt['place'] . ' ' . $punkt['zipcode'] . '<br />  '  .
                $punkt['street'] . ' ' . $punkt['building_number'] . ( empty($punkt['appartment_number']) ? '' : ' ' . $punkt['appartment_number'] ) .
                '</div>';

    }

    return $output;
}
