// JavaScript Document
/**
 *  alarm akcja okresla akcje czy aktualny rekord jest edytowany czy moze
 *  zosta wybrany.
 *  'w' - wybrany
 *  'e' - edycja
 *
 */
if( !alarm_akcja ){
    //wybr
    var alarm_akcja = 'w';
}

var o_alarm_div = null;
var o_alarm_contents_div = null;


//identyfikator kontrahenta dla ktrego s pobierane dostawy
var alarm_kontrahent_id = 0;

o_alarm_xml_http = createXmlHttpRequestObject();

if( !window.alarmy ){
    var alarmy = new Object();
}

//
document.writeln('<div id="alarm_div" style="position:absolute; width:640px; visibility:hidden; display: none; background:white; border: solid 1px #A0A0A0;" >');
document.writeln('  <div class="rowhead drag" onmousedown="beginDrag(this.parentNode, event);">');
document.writeln('    <img src="' + SZABLON_URL + '/images/buttons/close_btn.gif" onclick="alarm_ok();" style="float:right; cursor: default; margin: 1px 2px 0px 2px;">');
document.writeln('    <img src="' + SZABLON_URL + '/images/buttons/up_arr.gif" onclick="zwin_rozwin2(this, \'alarm_contents_div\');" style="float:right; cursor: default; margin: 2px 2px 0px 2px;">');
document.writeln('    Aktywne alarmy:');
document.writeln('  </div>');
document.writeln('  <div style="text-align:left;" id="alarm_contents_div"></div>');
document.writeln('  <div style="text-align:center; height: 25px;"><input type="button" value=" Zamknij " onclick="alarm_ok();" style="float: right;"></div>');
document.writeln('</div>');

function show_alarm( akcja ){
    if( !alarmy || alarmy.length == 0 ){
        return;
    }

    //wycinam tylko pirwszy znak
    alarm_akcja = alarm_akcja.substr(0, 1);
    var check_uruchom = null;
    if( akcja == 'a'  ){ //wszystkie wyswietl od all

    }else if( alarm_akcja == 'w'  ){ //wywietl tylko te przy wyborze
        check_uruchom = function( uruchom_edycja, uruchom_wybor ){
            return uruchom_wybor == 1;
        }
    }else if( alarm_akcja == 'e'  ){ //wywietl tylko te przy edycji
        check_uruchom = function( uruchom_edycja, uruchom_wybor ){
            return uruchom_edycja == 1;
        }
    }else{
        //po prostu to znaczy ze tutaj alarmw nie trzeba wyswietlac, warto to waczyc gdy szuka sie bedw, bo mozna zapomniec o przypisaniu zmiennej
        alert('Nierozpoznana akcja: \'' + alarm_akcja + '\' dla alarmu. Moliwe wartoci to \'w\' i \'e\'.');
        return;
    }
    
    var alarm_str = '';

    alarm_str += alarm_rowhead_str();
    
    
    var i = 0;
    var dzis = new Date();
    var rok = new String(dzis.getFullYear());
    var miesiac = new String(dzis.getMonth() + 1);
    if( miesiac.length < 2 ){
        miesiac = '0' + miesiac;
    }
    
    var dzien = new String( dzis.getDate() );
    if( dzien.length < 2 ){
        dzien= '0' + dzien;
    }
        
    var dzis_int = parseInt( rok + '' + miesiac +'' + dzien );
    var data_int = 0

    var wyswietl = false;
    var row = 0;

    if( check_uruchom == null ){ //w takim wypadku wszystkie alarmy bez filtrowania
        wyswietl = true;

        for(i = 0; i < alarmy.length; i++)
            alarm_str += alarm_row_str( i, alarmy[i] );
            
    }else{
        for(i = 0; i < alarmy.length ; i++ ){
            if( alarmy[i].AKTYWNY == 1 ){
                if( (alarmy[i].PRYWATNY == 1) && alarmy[i].IS_PRYWATNY != 1 ){
                    continue;
                }

                if( !check_uruchom(alarmy[i].URUCHOM_EDYCJA, alarmy[i].URUCHOM_WYBOR) ){
                    continue;
                }

                data_int = parseInt( alarmy[i].DATA_OD.replace(/\-/g, '') );
                //alert(data_int);
                if( data_int <= dzis_int ){ //sprawdzam jeszcze date do
                    data_int = parseInt( alarmy[i].DATA_OD.replace(/\-/g, '') );

                    if( alarmy[i].DATA_DO == '' || dzis_int <= data_int ){
                        wyswietl = true;

                        alarm_str += alarm_row_str( row, alarmy[i] );

                        row++;
                    }
                }
            }
        }

    }

    alarm_str += '</table>';
    
    if( !wyswietl ){
        return;
    }
    
    try{
      showTlo();
    }catch(e){}

/******************************************************************************/
    if( !o_alarm_div ){
        o_alarm_div = document.getElementById('alarm_div');
    }
    
    o_alarm_contents_div = o_alarm_div.getElementsByTagName('DIV').item(1);
    
    o_alarm_contents_div.innerHTML = alarm_str;

    center_both_obj( o_alarm_div );
    
/******************************************************************************/

}

function alarm_rowhead_str(){
    var str = new String('');

    str  = '<table width=100% align="center" cellpadding=2 cellspacing=0 class="grid">';
    str += '<tr>';
    str += '  <th align=center width=15>Lp.</th>';
    str += '  <th align=center width=150>Tre</th>';
    str += '  <th align=center width=100>Priorytet</th>';
    str += '  <th align=center width=100>Data od</th>';
    str += '  <th align=center width=100>Data do</th>';
    str += '</tr>';

    return str;
}

function alarm_row_str( row_num, alarm ){
    var row_str = new String('');
    var row_uwagi_str = new String('');
    var rowspan = new String('');
    
    if( trim( alarm['UWAGI'] ) != '' ){
        rowspan = 'rowspan=2';
        row_uwagi_str += '<tr class="wiersz' + ( (row_num%2) + 1 ) + '">';
        row_uwagi_str += '    <td colspan=4 align=left>' + alarm['UWAGI'] + '</td>';
        row_uwagi_str += '</tr>';
    }
    
    row_str += '<tr  class="wiersz' + ( (row_num%2) + 1 ) + '">';
    row_str += '    <td width=15 ' + rowspan + ' align=rght valign=top>' + (row_num+1) + '.</td>';
    row_str += '    <td width=150  >' + alarm['TRESC'] + '</td>';
    row_str += '    <td align=center width=100>' + alarm['PRIORYTET'] + '</td>';
    row_str += '    <td align=center width=100>' + alarm['DATA_OD'] + '</td>';
    row_str += '    <td align=center width=100>' + alarm['DATA_DO'] + '&nbsp;</td>';
    row_str += '</tr>';
    
    row_str += row_uwagi_str;
    
    return row_str;
}

function alarm_ok(){
    hide_obj( o_alarm_div );

    try{
      hideTlo();
    }catch(e){}
}


function get_alarmy( kid, akcja ){
    if( arguments.length < 2 ){
        akcja = alarm_akcja;
    }else{
        alarm_akcja = akcja;
    }
    
    server_connect(o_alarm_xml_http, SUGGEST_URL + '?action=k&id='+ kid + '&alarmy=1&akcja=' + akcja, alarmy_handle_response );
    
}


function alarmy_handle_response( xmlRoot ){
    
    var o_alarmy_xml = xmlRoot.getElementsByTagName('alarm');
    var o_alarm_xml = new Object();
    var o_alarm = new Object();

    var o_errors_xml = xmlRoot.getElementsByTagName('error');

    if( o_errors_xml && o_errors_xml.length > 0 ){

        var errors = [];

        var err_str = 'W trakcie pobierania alarmw wystpiy nastpujce bdy: '+ "\n";

        // przeszukuje w ptli wszystkie wzy XML, pobierajc ich zawarto
        for(var i = 0; i < o_errors_xml.length; i++){
            errors[i] = o_errors_xml.item(i).getAttribute('str');
            err_str += errors[i] + "\n";
        }

        alert( err_str );
        return;
    }else{
/*
        kontrahent_id = parseInt(o_towar_xml.getAttribute( 'ID' ));
        if( isNaN(kontrahent_id) ){
            alert('Nie zosta zwrcony identyfikator kontrahenta.');
            return;
        }
*/
        //zeruje alarmy
        alarmy = new Array();

        var atrybuty = ['TRESC', 'UWAGI', 'DATA_OD', 'DATA_DO', 'PRIORYTET'];

        /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
        var key, value;
        var i, j;

        for( i = 0; i < o_alarmy_xml.length; i++){
            o_alarm_xml = o_alarmy_xml.item(i);

            o_alarm = new Object();

            for( j = 0; j < atrybuty.length; j++){
                key = atrybuty[j];
                value = o_alarm_xml.getAttribute( key );
                o_alarm[key] = value;
            }
            alarmy.push( o_alarm );
        }

        //pokazuje wszytkie alarmy o ile jakies zostay mnie zwrcone
        show_alarm('a');
    }
}


//fun to skrt od function :) a nie od fun
__onload.push( { 'fun' : show_alarm } );
