/*
Funkcje szablonu oparte o bibliotek jQuery 1.4.2
Ostatnia modyfikacja 4.02.2010
*/
var __onload = new Array();

window.onload = function(){
    var i = 0;

    for( i = 0; i < __onload.length; i++ ){
        if( typeof(__onload[i].fun) == 'function'){
            __onload[i].fun();
        }
    }
}

function onload_add( f_fun ){
    __onload.push( { 'fun' : f_fun });
}


function js_include(url){
   var e = document.createElement("script");
   e.src = url;
   e.type="text/javascript";
   document.getElementsByTagName("head")[0].appendChild(e);
}

function obj2str( o_obj ){
    var str = '';
    for( var field in o_obj ){
        str += field + ' = ' + o_obj[field] + "\n";
    }
    return str;
}

/* funkcja, ktra wybiera obszar w obiekcie tekstowym, przekazywanym jako jej parametr */
function selectRange(oText, start, length){
    // sprawdz rodzaj przegldarki - IE czy FF
    if (oText.createTextRange){
      //IE
      var oRange = oText.createTextRange();
      oRange.moveStart("character", start);
      oRange.moveEnd("character", length - oText.value.length);
      oRange.select();
    }else
      // FF
      if (oText.setSelectionRange){
        oText.setSelectionRange(start, length);
      }
    oText.focus();
}



/* funkcja koduja url*/
function encode(uri){
    if ( encodeURIComponent ){
        return encodeURIComponent(uri);
    }else if (escape){
        return escape(uri);
    }else{
        return uri;
    }
}

function handle_select_opk(sel){
    if(sel.selectedIndex > 0){
        sel.form.elements['OPK_SZT'].disabled = false;
        przelicz_opk2szt(sel.form);
    }else{
        sel.form.elements['OPK_SZT'].disabled = true;
    }
}
/* Opakowania zbiorcze towaru */
var towar_opk = [];

/* */
function przelicz_opk2szt(f){
  if(f.elements['OPK_ID'].selectedIndex > 0){
    var opk = f.elements['OPK_ID'].selectedIndex - 1;
    var pojemnosc = towar_opk[opk];

    var szt = parseInt(f.elements['OPK_SZT'].value);
    if( isNaN(szt) ){
      szt = 1;
      f.elements['OPK_SZT'].value = 1;
    }
    f.elements['SZT'].value = pojemnosc * szt;
  }
}

function przelicz_szt2opk(f){
  if( f.elements['OPK_ID'] && f.elements['OPK_ID'].selectedIndex > 0){
    var opk = f.elements['OPK_ID'].selectedIndex - 1;
    var pojemnosc = towar_opk[opk];

    var szt = parseInt(f.elements['SZT'].value);
    if( isNaN(szt) ){
      szt = 1;
      f.elements['SZT'].value = 1;
    }
    f.elements['OPK_SZT'].value = Math.round(szt/pojemnosc);
  }
}


/* el oznacza jaki element nalezy zwiekszyc */
function opk_zwieksz(el){
    /* zwieksz tylko wtedy gdy zostao wybrane opakowanie zbiorcze */
    if( el.form.elements['OPK_ID'].selectedIndex > 0 ){
        val = parseFloat(el.value.replace(',','.'));
        if( isNaN(val) ){
            val = 1;
        }else{
            val++;
        }
        el.value = val;
        przelicz_opk2szt(el.form);
    }
}

/* el oznacza jaki element nalezy zmniejszyc */
function opk_zmniejsz(el){
    /* zmniejsz tylko wtedy gdy zostao wybrane opakowanie zbiorcze */
    if(el.form.elements['OPK_ID'].selectedIndex > 0){
        val = parseFloat(el.value.replace(',','.'));
        if(isNaN(val)){
            val = 1;
        }else if(val > 0){
            val--;
        }
        el.value = val;
        przelicz_opk2szt(el.form);
    }
}

function zwieksz(el){
    if(el){
        val = el.value - 0;
        if(isNaN(val)){
            val = 1;
        }else{
            val++;
        }
        el.value = val;
        przelicz_szt2opk(el.form);
    }
}

function zmniejsz(el){
    if(el){
        val = el.value - 0;
        if(isNaN(val)){
            val = 1;
        }else if(val > 0){
            val--;
        }
        el.value = val;
        przelicz_szt2opk(el.form);
    }
}

/* usuwa spacje z pocztku i koca acucha*/
function trim(s){
    return s.replace(/(^\s+)|(\s+$)/g, "");
}


function basename( path ){
    return path.substring(path.lastIndexOf('/') + 1, path.length);
}

function dirname( path ){
    return path.substring(0, (path.lastIndexOf('/') + 1) );
}

function fileext(filename){
  var znak = ext = '';
  var i = 0;

  for( i = filename.length - 1; i > 0; i-- ){
      znak = filename.charAt(i);
      if( znak == '.' ){
          ext = filename.substring( i + 1 );
          break;
      }else if( znak == '/' || znak == '\\' ){
          break;
      }
  }

  return ext;
}

//nazwy starych funkcji - wszystkie funkcje zastpione przez view( obiekt_lub_id , obiekt_lub_id);
pokaz_ukryj_obiekt = zwin_rozwin = zwin_rozwin2 = show_hide =

//parametr show: brak parametru funkcja dziala jako slideToggle :  1 - jako slideIn : 0 jako slideOut
view = function( klikany , rozsuwany, show){
	if( arguments.length < 2 )
      rozsuwany = klikany;
  else if( klikany )
      jQuery(( typeof(klikany) == 'string' ) ? "#"+klikany : klikany).toggleClass('on');

	var r = jQuery(( typeof(rozsuwany) == 'string' ) ? "#"+rozsuwany : rozsuwany); //po obiekcie lub po id
	( r.height() > 500 ) ? time = r.height() : time=500; //eby due divy za szybko si nie rozwijay

	if ( r.html() != '' ){
    if( arguments.length == 3 ){
        ( show ) ?  r.slideDown(time) : r.slideUp(time);
    }else{
        r.slideToggle(time); //r.toggle('blind',{},time);
    }
  }else{ //jeli div jest pusty to czeka na ukoczenie adowania zanim rozwinie
    var view_args_cnt = arguments.length;
		r.ajaxComplete(function() {
      if( view_args_cnt == 3 ){
         ( show ) ?  r.slideDown(time) : r.slideUp(time);
      }else{
         r.slideToggle(time);
      }
      r.unbind('ajaxComplete');
		});
	}
}

show_obj = show = function(klikany){
    view(null,klikany,1);
}

hide_obj = hide =  function(klikany){
    view(null,klikany,0);
}

var dial=null;
function load_data( url ){
   // showTlo();
   // showLoading();
if(!dial){
$('body').append('<div class="dialog" style="display:none;"></div>');
dial = $('.dialog');
}

dial.load(url, function(){

	dial.dialog({
			width: 'auto',
			height: 'auto',
			draggable: 'true',
			modal: 'true'
		}
	);
});

}


function show_obj_xy( obj, x, y ){
    obj.style.top = y;
    obj.style.left = x;
    obj.style.display = 'block';
    el.style.visibility = 'visible';
}

function wysrodkuj( el ){

    var width  = el.clientWidth;
    var height = el.clientHeight;

    winW = screen.width;
    winH = screen.height;

    if ( parseInt(navigator.appVersion) > 3 ) {
        if (navigator.appName=="Netscape") {
          winW = window.innerWidth;
          winH = window.innerHeight;
        }
        if (navigator.appName.indexOf("Microsoft")!=-1) {
          winW = document.body.offsetWidth;
          winH = document.body.offsetHeight;
        }
    }

    el.style.left = parseInt( (winW - width) / 2);
    el.style.top  = document.body.scrollTop + parseInt( (winH - height) / 2);
}

function doubleClick(el, adres, width, height){
    var teraz = new Date();
    if( (teraz.getTime() - el.lastClick) < 300){
        otworz_oknoWH(adres, width, height);
    }else{
        el.lastClick = teraz.getTime();
        if( el.style.backgroundColor == ""){
            el.style.backgroundColor = "#efefef";
        }else{
            el.style.backgroundColor = "";
        }
    }
}


function zamkniecie(){
    if( odliczanie > 0 ){
        el = document.getElementById('close_info');
        if( typeof(el) == 'object'){
            el.innerHTML = odliczanie;
        }
        odliczanie--;

        setTimeout('zamkniecie()', 1000);
    }else{
        window.close();
    }
}

function przejdz_do(link){
    if( odliczanie > 0 ){
        el = document.getElementById('close_info');
        if( typeof(el) == 'object'){
            el.innerHTML = odliczanie;
        }
        odliczanie--;

        setTimeout('przejdz_do(\'' + link + '\')', 1000);
    }else{
        window.location = link;
    }
}

function select_all( chbox, chx_name){
    var formularz = chbox.form;
    var i = 0;

    if( chbox.checked ){
        while(typeof(formularz.elements[chx_name + '['+ i +']']) == 'object'){
            formularz.elements[chx_name+'['+ i +']'].checked = true;
            i++;
        }
    }else{
        while(typeof(formularz.elements[chx_name+'['+ i +']']) == 'object'){
            formularz.elements[chx_name+'['+ i +']'].checked = false;
            i++;
        }
    }
}


function otworz_okno(adres, nazwa, w, h, menubar_on ){
    var width, height, menubar = '0';

    if( arguments.length > 2 ){
        //znaczy ze zostay podane szerokosc i wysokosc
        width  = w; height = h;

        if( menubar_on ){
            menubar = '1';
        }
    }else{
        width = 800;
        height = 600;
    }

    if( !nazwa || nazwa.length == 0 ){
        nazwa = 'okno';
    }
    cx = (screen.availWidth-width)/2;
    cy = (screen.availHeight-height)/2;
    okno = window.open(adres, "okno", "height="+height+",width="+width+",top="+cy+",left="+cx+",toolbar=0,location=0,menubar="+menubar+",status=1,scrollbars=1,resizable=1;");
    okno.focus();
}

function otworz_oknoWH(adres, width, height, nazwa ){
     cx = (screen.availWidth-width) / 2;
     cy = (screen.availHeight-height) / 2;

     if( !nazwa || nazwa.length == 0 ){
          nazwa = 'okno';
     }

     var okno = window.open(adres, nazwa, "height="+height+",width="+width+",top="+cy+",left="+cx+",status=0,scrollbars=1,resizable=1;");
     okno.focus();
}


function zmien_kolor_obramowania(el, error, komunikat){
    if(!error){
        el.onmouseover=function anonymous(){}
        el.onmouseout=function anonymous(){}
        el.className = el.className.replace(/[\s]{0,1}error/g, '');
        return true;
    }else{
        if( el.className.indexOf('error') > 0 ){
            el.className += ' error';
        }

        el.onmouseover=function anonymous(){ return overlib(komunikat); }
        el.onmouseout=function anonymous(){nd();}
        el.onclick=function anonymous(){ nd(); this.onmouseover=function anonymous(){} }
        return false;
    }
}



function checkInput(el, zezwalajNaPuste, wyrazenie, komunikat){
    var wartosc = el.value;

    //usuwamy spacje z poczatku i koca ciagu
    wartosc=wartosc.replace(/^(\s)+/,"");
    wartosc=wartosc.replace(/(\s)+$/,"");

    if( wartosc == ""){
        if(zezwalajNaPuste){
            el.onmouseover=function anonymous(){}
            el.onmouseout=function anonymous(){}
            el.className = el.className.replace(/[\s]{0,1}error/g, '');
            return true;
        }else{
            el.className += ' error';
            el.onmouseover=function anonymous(){ return overlib('To pole nie moe by puste'); }
            el.onmouseout=function anonymous(){ nd(); }
            el.onclick=function anonymous(){ nd(); this.onmouseover=function anonymous(){} }
            return false;
        }
    }else{
        if( typeof(wyrazenie) != 'string' ) {
            if(wyrazenie.test(wartosc)){
                el.onmouseover=function anonymous(){}
                el.onmouseout=function anonymous(){}
                el.className = el.className.replace(/[\s]{0,1}error/g, '');
                return true;
            }else{
                el.className += ' error';
                el.onmouseover = function anonymous(){ return overlib(komunikat); }
                el.onmouseout=function anonymous(){ nd(); }
                el.onclick=function anonymous(){ nd(); this.onmouseover=function anonymous(){} }
                return false;
            }
        }else{
            el.onmouseover=function anonymous(){}
            el.onmouseout=function anonymous(){}
            el.className = el.className.replace(/[\s]{0,1}error/g, '');
            return true;
        }
    }
}

var check_input  = checkInput;

function check_email( email ){
    var reg_expr = /^[\w\-\.]+@[^\.]+(\.\w+)+$/;
    return reg_expr.test(email);
}

function check_telefon( numer ){
    var reg_expr = /^[+]{0,1}[0-9\-\(\) ]+$/;
    return reg_expr.test(numer);
}

function checkNIP( nip_input ){
    var  suma = 0;
    var error = false;

    var  nip  = new String(nip_input.value.replace(/-/g,""));
    nip = nip.replace(/^(\s)+/,"");
    nip = nip.replace(/(\s)+$/,"");
    var  kontrol = parseInt(nip.charAt(nip.length-1));
    error = !checkInput(nip_input, false, /^(\d{10})|(\d{3}\-\d{3}-\d{2}-\d{2})|(\d{3}\-\d{2}-\d{2}-\d{3})$/, 'NIP powinien skada si z 10 cyfr i by wpisany w nastpujcym formacie: 999-999-99-99 lub 999-99-99-999. Dopuszczalna jest te forma bez mylnikw.');

    if(error){
        return false;
    }

    wartosc = nip_input.value;
    wartosc = wartosc.replace(/^(\s)+/,"");
    wartosc = wartosc.replace(/(\s)+$/,"");

    suma  = parseInt(nip.charAt(0)) * 6;
    suma += parseInt(nip.charAt(1)) * 5;
    suma += parseInt(nip.charAt(2)) * 7;

    suma += parseInt(nip.charAt(3)) * 2;
    suma += parseInt(nip.charAt(4)) * 3;
    suma += parseInt(nip.charAt(5)) * 4;

    suma += parseInt(nip.charAt(6)) * 5;
    suma += parseInt(nip.charAt(7)) * 6;

    suma += parseInt(nip.charAt(8)) * 7;

    suma-=(Math.floor(suma / 11) * 11);
    if(suma == 10){
        suma = 0;
    }

    if(suma == kontrol){
        zmien_kolor_obramowania(nip_input, false, "");
        return true;
    }else{
        zmien_kolor_obramowania(nip_input, true, "NIP jest niepoprawny!");
        return false;
    }
}




function sprawdzCenyPrzedzial(f){
  var cena_od = parseFloat(f.cena_od.value.replace(',','.'));
  if( isNaN(cena_od)){
    cena_od = 0;
    f.cena_od.value = '';
  }


  var cena_do = parseFloat(f.cena_do.value.replace(',','.'));
  if( isNaN(cena_do)){
    cena_do = 0;
    f.cena_do.value = '';
  }


  //sprawdzaj tylko gdy cena do jest wieksza od zera bo ktos moze sobie zyczy
  //wywietlac towary tylko od pewnej ceny nie ograniczone z gry przez zadna wartosc
  if ( cena_do > 0 ){
    if( (cena_do - cena_od) < 0 ){
        zmien_kolor_obramowania(f.cena_od, true, 'Nieprawidowy przedzia cenowy! Cena od powinna by mniejsza od: ' + cena_do);
        zmien_kolor_obramowania(f.cena_do, true, 'Nieprawidowy przedzia cenowy! Cena do powinna by wiksza od: ' + cena_od);
        return false;
    }else{
        zmien_kolor_obramowania(f.cena_od, false, '');
        zmien_kolor_obramowania(f.cena_do, false, '');
        return true;
    }
  }else{
    return true;
  }
}


/**************************************************************************************************/

var o_tlo_div = null;

function showTlo(){
  if( !o_tlo_div ) o_tlo_div = jQuery('#tlo_div');
  o_tlo_div.css({
    'width'  : document.body.scrollWidth,
    'height' : document.body.scrollHeight
  }).fadeIn();
}

function hideTlo(){
  if( !o_tlo_div ) o_tlo_div = jQuery('#tlo_div');
  o_tlo_div.fadeOut('slow');
}

function tloRegFunction( action, funkcja ){
  if( !o_tlo_div ) o_tlo_div = document.getElementById('tlo_div');

  o_tlo_div[action] = funkcja;
}

var o_loading_div = null;
function showLoading(x, y){
    if( !o_loading_div) o_loading_div = jQuery('#loading_div');

    if( arguments.length == 0){
        var width  = o_loading_div.width();
        var height = o_loading_div.height();

        var winW = screen.width;
        var winH = screen.height;

        if (parseInt(navigator.appVersion)>3) {
            if (navigator.appName=="Netscape") {
              winW = window.innerWidth;
              winH = window.innerHeight;
            }
            if (navigator.appName.indexOf("Microsoft")!=-1) {
              winW = document.body.offsetWidth;
              winH = document.body.offsetHeight;
            }
        }
        x = parseInt( (winW - width) / 2);
        y = document.body.scrollTop + parseInt( (winH - height) / 2);
    }

    o_loading_div.css({ 'left':x, 'top':y }).fadeIn('slow');

}

function hideLoading(){
  if( !o_loading_div) o_loading_div = jQuery('#loading_div');
  o_loading_div.fadeOut();
}


function check_adres_form( f ){
   var error = false;

   //miasto
   if(!checkInput(f.PLACE, false, '', '')){
      message='Wpisz nazw miejscowoci!';
      error = true;
   }
    //kod
   if(!checkInput(f.ZIPCODE, false, /^[0-9][0-9]-[0-9][0-9][0-9]$/,'Nieprawidowy format kodu pocztowego!','')){
      message='Nieprawidowy format kodu pocztowego!';
      error = true;
   }
   //dom
   if(!checkInput(f.BUILDING_NUMBER, false, '', '')){
      message='Wpisz numer domu!';
      error = true;
   }
    //ulica

   if( !checkInput(f.STREET, false, '', '') ){
      message = 'Wpisz nazw ulicy!';
      error = true;
   }

   return error;
}



function center_both( s_id ){
    var o_el = null;

    //sprawdzam czy juz ta funkcja bya wywoywana
    //i byc moze juz zosta utworzony odpowiedni obiekt
    if( typeof(window['o_' + s_id]) == 'object' ){
        o_el = window['o_' + s_id];
    }else{
        o_el = document.getElementById(s_id);
        window['o_' + s_id] = o_el;
    }

    center_both_obj( o_el );

    return o_el;
}

function center_both_obj( obj ){

    obj.style.display = 'block';

    var width  = obj.clientWidth;
    var height = obj.clientHeight;

    var winW = screen.width;
    var winH = screen.height;

    if ( parseInt(navigator.appVersion) > 3 ) {
        if (navigator.appName=="Netscape") {
          winW = window.innerWidth;
          winH = window.innerHeight;
        }
        if (navigator.appName.indexOf("Microsoft")!=-1) {
          winW = document.body.offsetWidth;
          winH = document.body.offsetHeight;
        }
    }

    obj.style.left = parseInt( (winW - width) / 2) + 'px';
    obj.style.position = 'absolute';
    var i_top = document.body.scrollTop + parseInt( (winH - height) / 2);
    if( i_top < 0 ){
        i_top = 0;
    }
    obj.style.top  = i_top + 'px';

    obj.style.zIndex = 111;
    obj.style.visibility = 'visible';
}


function add_event(type, obj, fn, cpt){
  	if( obj == null ){
        return false;
    }

    if( type.substring(0,2).toLowerCase() == "on" ){
        type = type.substring(2);
    }

    obj[type + "_fun" ]  = fn;
    obj[type + "_cpt" ] = cpt;


    if (obj.addEventListener) {  // DOM Level 2 Event Model
        // Register capturing event handlers
        obj.addEventListener(type, obj[type + "_fun"], cpt);
    } else if (document.attachEvent) {  // IE 5+ Event Model
        // In the IE Event model, we can't capture events, so these handlers
        // are triggered when only if the event bubbles up to them.
        // This assumes that there aren't any intervening elements that
        // handle the events and stop them from bubbling.
        obj.attachEvent("on" + type, obj[type + "_fun"] );
    } else {// IE 4 Event Model
        // In IE 4 we can't use attachEvent(), so assign the event handlers
        // directly after storing any previously assigned handlers so they
        // can be restored.  Note that this also relies on event bubbling.
        obj["on" + type] =  function(){obj[type+fn](window.event)};
    }
}

function remove_event(type, obj){

    if( type.substring(0,2).toLowerCase() == "on" ){
        type = type.substring(2);
    }

    if( obj.detachEvent ){
  		  obj.detachEvent('on'+type, obj[type + "_fun"]);
  	}else if( obj.removeEventListener ) {
  		  obj.removeEventListener(type, obj[type + "_fun"], obj[type+ "_cpt"]);
  	}else{
        obj['on' + type] = function(){};
    }

    obj[type + "_fun"] = null;
}

function htmlspecialchars( str ){
    var old_str = new String(str);
    var new_str = new String('');
    znak = '';

    for( i = 0; i < old_str.length; i++ ){
        znak = old_str.charAt(i)

        if( znak  == '"' ){
            new_str += '&quot;'
        }else if( znak  == "'" ) {
            new_str += '&#039;';
        }else if( znak  == "&" ){
            new_str += '&amp;';
        }else if( znak  == "< " ){
            new_str += '&lt;';
        }else if( znak  == ">" ){
            new_str += '&gt;';
        }else{
            new_str += znak;
        }
    }

    return new_str;
}

function number_format( value_str ){

    if( typeof(value_str) != 'string' ){
        value_str = new String(value_str);
    }
    value_str = value_str.replace(',', '.' );
    value_str = value_str.replace(' ', '' );

    val = parseFloat( value_str );
    if( isNaN(val) ){
        val = 0;
    }

    return val;
}

function round( liczba, po_przecinku ){
    var tmp_var = Math.pow(10, po_przecinku);
    return Math.round(liczba * tmp_var) / tmp_var;
}

function currency_format( cena ){
    var dec_point = ',';
    var thousands_sep = ' ';

    if( arguments.length > 1 ){
        if( arguments.length == 2 ){
            dec_point = arguments[1];
        }else{
            dec_point = arguments[1];
            thousands_sep = arguments[2];
        }
    }

    cena = new Number( cena );

    //zamieniam na ciag
    var s_cena = cena.toFixed(2);
    //zamieniam kropki na przecinki
    s_cena = s_cena.replace(/\./, ',');
    //sprawdzam miejsce przecinka
    var pos = s_cena.indexOf(',');

    var czesc_ulamkowa = '';
    var czesc_calkowita = '';
    var cena_f = ''

    if( pos > 0){
        //wycinam miejscea po przecinku
        czesc_ulamkowa = s_cena.substr(pos + 1);
        czesc_calkowita = s_cena.substr(0, pos);
        if( czesc_ulamkowa.length < 2 ){
            czesc_ulamkowa += '0';
        }
    }else{
        czesc_ulamkowa = '00';
        czesc_calkowita = s_cena;
    }
    var i,j;
    for( i = czesc_calkowita.length-1, j = 1; i > 0; i--, j++ ){
        cena_f = czesc_calkowita.charAt(i) + cena_f;
        if( j % 3 == 0 ){
            cena_f = thousands_sep + cena_f;
            j = 1;
        }
    }
    cena_f = czesc_calkowita.charAt(0) + cena_f;


    return (cena_f + dec_point + czesc_ulamkowa);
}


function ukryj_zawartosc( el ){
    if( el.old_width ){
        //to pokazujemy zawartosc
        el.style.width = el.old_width;
        el.style.height = el.old_height;

        //el.style.position = '';
        el.style.overflow = 'hidden';
    }
}

function pokaz_zawartosc( el ){
    if( el.scrollWidth > el.clientWidth || el.scrollHeight > el.scrollHeight ){
        //to pokazujemy zawartosc
        el.old_width    = el.clientWidth;
        el.old_height   = el.clientHeight;

        //el.style.position = 'absolute';
        el.style.overflow = 'visible';
    }
}

//wyancza inputa
function input_disable( el ){
    el.className += ' disabled';
    el.readonly = true;
    el.disabled = true;
    return true;
}

//wancza inputa
function input_enable( el ){
    el.className = el.className.replace(/[\s]{0,1}disabled/g, '');
    el.readonly = false;
    el.disabled = false;
    return true;
}



var old_row = null;
function podswietl_wiersz( row, multi ){
    if( arguments.length == 1 ){ multi = false; }

    if( !multi && old_row ){
        old_row.className = old_row.className.replace(/[\s]{0,1}highlight/g, '');
    }

    old_row = row;

    if( row ){
        row.className += ' highlight';
    }
}

function podswietl_wiersz_w_tabeli( numer_wiersza, o_tabela){
    var o_rows = o_tabela.getElementsByTagName('TR');
    podswietl_wiersz( o_rows.item(numer_wiersza+1) );
}

function clear_select( o_select, skip ){
    var i = 0;

    skip = parseInt(skip);
    if( isNaN(skip ) || skip < 0 || skip > o_select.length ){
        skip = 0;
    }

    //usuwam opcje za wyjatkiem pierwszej i ktra domyslnie to utwrz nowe konto
    for( i = o_select.length - 1; i >= skip; i--){
        o_select.remove(i);
    }
}

function make_select( o_select, a_options, selected ){
    var index = 0, i = 0;

    if( !selected && (o_select.selectedIndex >= 0) ){
        selected = o_select.options[o_select.selectedIndex].value;
    }

    //usuwam opcje
    for( i = o_select.length - 1; i >= 0; i-- ){
        o_select.remove(i);
    }

    //opcja wybierz
    o_select.options[index++] = new Option( 'Wybierz', '', false, false ) ;
    for( i in a_options ){
        o_select.options[index++] = new Option( a_options[i], i, false, ( selected == i ) ) ;
    }
}


function get_dimensions( element, a_dim ){
    if( arguments.length == 1 ){
        a_dim = new Object();
    }

    a_dim['x'] = find_pos_x(element); //element.offsetLeft;
    a_dim['y'] = find_pos_y(element); //element.offsetTop;
    a_dim['width'] = element.offsetWidth ;
    a_dim['height'] = element.offsetHeight;

    return a_dim;
}

function find_pos_x(obj){
    var posLeft = 0;
    if( obj.offsetParent ){
        while( true ){
            posLeft += obj.offsetLeft;
            if(!obj.offsetParent){
                break;
            }
            obj = obj.offsetParent;
        }
    }else if( obj.x ){
        posLeft += obj.x;
    }

    return posLeft;
}

function find_pos_y(obj){
    var cur = 0;
    if(obj.offsetParent)
    while( true ){
        cur += obj.offsetTop;
        if(!obj.offsetParent)
          break;
        obj = obj.offsetParent;
    }
    else if(obj.y)
    cur += obj.y;
    return cur;
}


function select_option(oSelect, value, defaultIndex, search_in_names ){

    if( arguments.length < 3 ){
        defaultIndex = 0;
        search_in_names = false;
    }

    var selectedIndex = defaultIndex;

    //pierwsza opcja
    oSelect['options'][defaultIndex].selected == true;

    if( value != '' ){
        if( search_in_names ){
            var value_lower = value.toLowerCase();

            for(var j = 0; j < oSelect.length; j++ ){
                if( oSelect['options'][j].value == value || oSelect['options'][j].text.toLowerCase() == value_lower ){
                    oSelect['options'][j].selected = true;
                    selectedIndex = j;
                    break;
                }
            }
        }else{
            //sprawdzam czy wartosc jest w
            for(var j = 0; j < oSelect.length; j++ ){
                if( oSelect['options'][j].value == value ){
                    oSelect['options'][j].selected = true;
                    selectedIndex = j;
                    break;
                }
            }
        }
    }

    return selectedIndex;

}



function combo_select( o_select, field ){
    if( o_select.selectedIndex > 0 ){
        o_select.form.elements[field].value = o_select.options[o_select.selectedIndex].text;
    }else{
        o_select.form.elements[field].value = '';
    }
}

function pre(obj){
    str = '';
    for(i in obj){
        str += i + ' = ' + obj[i];

    }
    alert (str);
}

function is_object( obj ){
    return (obj != null && typeof( obj ) == 'object');
}

function a_blank(){}

function script_load(src){
   var o_script = document.createElement('script');
   o_script.type= 'text/javascript';
   o_script.src= src;
   document.getElementsByTagName('head')[0].appendChild(o_script);
}

function css_load(src){
   var o_css = document.createElement('link');
   o_css.type= 'text/css';
   o_css.rel= 'stylesheet';
   o_css.href = src;
   document.getElementsByTagName('head')[0].appendChild(o_css);
}

function in_array(needle, haystack, strict) {
    var found = false, key, strict = !!strict;

    if( strict ){
        for (key in haystack) {
            if( haystack[key] === needle ){
                found = true;
                break;
            }
        }
    }else{
        for (key in haystack) {
            if( haystack[key] == needle ){
                found = true;
                break;
            }
        }
    }

    return found;
}

function empty( mixed_var ) {
    var key;

    if (mixed_var === "" || mixed_var === 0 || mixed_var === "0" || mixed_var === null || mixed_var === false || mixed_var === undefined ){
        return true;
    }

    if (typeof mixed_var == 'object') {
        for (key in mixed_var) {
            if (typeof mixed_var[key] !== 'function' ) {
	            return false;
            }
        }
        return true;
    }
    return false;
}
function submit_form( s_form_name ){
    o_form = document.forms[s_form_name];

    if( !o_form ){
        alert('W dokumencie nie znaleziono formularza o nazwie: ' + s_form_name );
        return false;
    }

    o_form.submit();
}
function dodaj_tag( o_el, form_name, field_name ){
    document.forms[form_name].elements[field_name].value += o_el.innerHTML;
}
