<script type="text/javascript" src="{$SCRIPT_URL}/admin/cenniki.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/admin/ceneo.js"></script>

<script type="text/javascript">
{$parametry_js}
var ACTION_CENNIKI = {$ACTION_CENNIKI};
</script>

<form action="{$ADMIN_URL}" method=POST name="ceneo_form" >
  <input type="hidden" name="form_send" value=1>
  <input type="hidden" name="action" value="{$action}">
  <input type="hidden" name="mode" value="{$mode}">
  <input type="hidden" name="ID" value="{$ceneo->ID}">
  <input type="hidden" name="win" value="{$win}">

{if $ceneo->error}
  {assign var="error" value=$ceneo->error}
  {assign var="errors" value=$ceneo->errors}
  {include file="errors.tpl"}
{/if}

  <div class="rowhead"> Formularz Ceneo.pl</div>

  <div class=roweven>
    <div class=datalabel><label for="CENEO_NAZWA">Nazwa:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_nazwa_hint');" class=help></a>

        <input type="text" name="NAZWA" value="{$ceneo->NAZWA}" size=80 maxlength=128 id="CENEO_NAZWA" >

        <div id="ceneo_nazwa_hint" class="hint">
          Dowolny tekst wpisywany przez uytkownika w celu atwiejszego rozpoznawania
          generowanego pliku ceneo. Nazw mona traktowa jak nazw pliku na dysku serwera, bez rozszerzenia xml.
          Maksymalnie 128 znakw.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd>
    <div class=datalabel><label for="CENEO_KODOWANIE">Kodowanie:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_kodowanie_hint');" class=help></a>

        <select name="KODOWANIE" id="CENEO_KODOWANIE">
            <option value="">Wybierz</option>
            {html_options options=$kodowania selected=$ceneo->KODOWANIE}
        </select>

        <div id="ceneo_kodowanie_hint" class="hint">
          Kodowanie w jakim ma by zapisany plik ceneo.<br>
          Plik naley przygotowa w jednym z trzech dostpnych typw kodowa:<br><br>
          <div style="padding-left: 14px;">
            Central European  ISO88592<br>
            Central European  Windows 1250<br>
            Unicode  UTF8<br>
          </div>
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=roweven>
    <div class=datalabel><label for="CENEO_BRANZA">Brana:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_branza_hint');" class=help></a>

        <select name="BRANZA" id="CENEO_BRANZA" onchange="ceneo_branza_onchange(this);">
            {html_options options=$ceneo_branze selected=$ceneo->BRANZA}
        </select>

        <div id="ceneo_branza_hint" class="hint">Brana dla jakiej ma by generowany xml.
        Aby mona byo poprawnie zintegrowa produkt, w pliku musza by zawarte
        podstawowe dane na jego temat. W zalenoci od wystawianego asortyment, ceneo wymaga rnego zestawu atrybutw,
        ktre dodawtkowo powinny znale si w generowanym pliku oprcz nazwy i ceny towaru.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd>
    <div class=datalabel><label for="CENEO_OFERTA">Prezentowana oferta:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_oferta_hint');" class=help></a>

        <select name="OFERTA" id="CENEO_OFERTA" onchange="ceneo_oferta_onchange(this);">
            {html_options options=$ceneo_oferty selected=$ceneo->OFERTA}
        </select>

        <div id="ceneo_oferta_hint" class="hint">
          Mona ograniczy ofert do towarw wywietlanych z danej grupy lub cennikw.
        </div>
    </div>
    <div class=rowend></div>
  </div>


  <div class=roweven>
    <div class=datalabel><label for="CENEO_CENA">Rodzaj ceny:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_cena_hint');" class=help></a>

        <select name="CENA_ID" id="CENEO_CENA">
            <option value="">Wybierz</option>
            {html_options options=$ceny selected=$ceneo->CENA_ID}
        </select>

        <div id="ceneo_cena_hint" class="hint">
          Uwaga zaleca si aby cena prezentowana w serwisie ceneo zgadzaa si
          z cen wywietlan w e-commerce. Mona cen zostawi pust domylnie
          zostanie wzita cena www.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd>
    <div class=datalabel><label for="CENEO_USE_CACHE">Cache:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_cache_hint');" class=help></a>

        <input type="checkbox" name="USE_CACHE" value="1" {if $ceneo->USE_CACHE}checked{/if} id="CENEO_USE_CACHE" onclick="ceneo_cahce_onclick(this)">

        <div id="ceneo_cache_hint" class="hint">Czy plik xml z oferta do serwisu ceneo.pl ma by chachowany. W przypadku wczenia
        cache'owania plik bdiz zapisywany w katalogu {$TEMP_DIR}/ceneo pod nazw podan w polu "nazwa". Jeli okres
        cache'owania zostanie podany 0 wwczas plik za kadym razem bdzie generowany a wynik zapisywany w pliku.</div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="roweven display{$ceneo->USE_CACHE}" id="ceneo_cache_period_row">
    <div class=datalabel><label for="CENEO_CACHE_PERIOD">Cache okres:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('ceneo_cache_period_hint');" class=help></a>
        <input type="text" name="CACHE_PERIOD" value="{$ceneo->CACHE_PERIOD}" size=11 maxlength=11 id="CENEO_CACHE_PERIOD" >
        <div id="ceneo_cache_period_hint" class="hint">
            Okres przez jaki bdzie cache'owany plik ceneo jeli ju raz zosta wygenerowany.
            W przypadku caej oferty ma to do spore znaczenia aby zbdnie nie obcia serwera,
            zwaszcza, e ilo towaru w magazynie nie jest eksportowana do ceneo.
        </div>
    </div>
    <div class=rowend></div>
  </div>


  <div class=rowodd id="ceneo_grupa_row">
    <div class=datalabel>Grupa dowolna:</div>
    <div class=datavalue>
      <a onclick="pokaz_ukryj_obiekt('ceneo_grupa_hint');" class=help></a>

      <input type="hidden" name="GRUPA_ID" value="{$ceneo->GRUPA_ID}" >
      <input class="text" type="text" name="GRUPA_NAZWA" value="{$ceneo->GRUPA_NAZWA}" size=30 readonly>
      <input type="button" name="tree_btn" value="..." onclick="show_hide('tree_div');">

      <div id="ceneo_grupa_hint" class="hint">Grupa dowolna z jakiej maja by wywietlane towary do ceneo.pl</div>
      <div class="display0" id="tree_div">{$tree_str}</div>
    </div>
    <div class=rowend></div>
  </div>

<div id="ceneo_cenniki_row">
  <div class="rowhead">Cenniki:</div>
  <div class=rowodd id="ceneo_cenniki_div"></div>
  <div style="text-align:right;">{make_btn napis="Wybierz cenniki" adres="" onclick="cenniki_wybierz('ceneo');"}</div>
</div>

  <div class="rowhead">
      <a onclick="pokaz_ukryj_obiekt('ceneo_atrybuty_hint');" class=help></a>    Atrybuty:
  </div>

  <div id="ceneo_atrybuty_hint" class="hint">
      Okres przez jaki bdzie cache'owany plik ceneo jeli ju raz zosta wygenerowany.
      W przypadku caej oferty ma to do spore znaczenia aby zbednie nie obcia serwera,
      zwaszcza e ilo towaru na magazynie nie jest eksportowana do ceneo.
  </div>

  <div class=rowodd id="ceneo_atrybuty">&nbsp;</div>

  <div class="rowhead"><label for="CENEO_UWAGI">Uwagi:</label></div>
  <div><textarea name="UWAGI" rows=3 style="width:100%;" id="CENEO_UWAGI">{$ceneo->UWAGI}</textarea></div>

  <div class="btns">
      <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif">
      {if isset($anuluj_onclick) }
          {make_btn napis=" Anuluj " adres="" style="width: 80px; float: right;" onclick="$anuluj_onclick"}
      {else}
          {make_btn napis=" Anuluj " adres="" style="width: 80px; float: right;" onclick="opener.focus(); window.close();"}
      {/if}

      {if $ceneo->ID > 0}
        {assign var="ID" value=$ceneo->ID}
        {make_btn napis="Usu" adres="$SELF_URL?action=$ACTION_STRONY&amp;mode=$MODE_DEL&amp;ID=$ID&amp;win=$win" style="width: 70px; float: right;"}
      {/if}

      {make_btn napis="Zapisz" adres="" onclick="document.forms['ceneo_form'].submit();" style="width: 70px; float: right;"}
  </div>
</form>

<script type="text/javascript">
    ceneo_oferta_onchange(document.forms['ceneo_form'].OFERTA);
    {$ceneo->branza_js}

    ceneo_branza_init(ceneo_branza);

    cenniki_load('ceneo', ceneo_cenniki_print);
</script>
