<script type="text/javascript" src="{$SCRIPT_URL}/admin/cenniki.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/admin/oferta.js"></script>

<script type="text/javascript">
  {$parametry_js}
  var ACTION_CENNIKI = {$ACTION_CENNIKI};
  var SITE_URL = '{$SITE_URL}';
</script>

<form class="data" action="{$ADMIN_URL}" method=POST name="oferta_form" >
  <input type="hidden" name="form_send" value=1>
  <input type="hidden" name="action" value="{$action}">
  <input type="hidden" name="mode" value="{$mode}">
  <input type="hidden" name="ID" value="{$oferta->ID}">
  <input type="hidden" name="win" value="{$win}">

{if $oferta->error}
  {assign var="error" value=$oferta->error}
  {assign var="errors" value=$oferta->errors}
  {include file="errors.tpl"}
{/if}

  <div class="head"> Formularz Ceneo.pl</div>
  
  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_FORMAT">Format oferty:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_kodowanie_hint');" class=help></a>

        <select name="FORMAT" id="OFERTA_FORMAT" onchange="oferta_format_onchange(this)">
            <option value="">Wybierz</option>
            {html_options options=$oferta_formaty selected=$oferta->FORMAT}
        </select>

        <div id="oferta_kodowanie_hint" class="hint">
          Format prezentowanej oferty na przykad:<br><br>
          <div style="padding-left: 14px;">
            Ceneo.pl - XML <br>
            Radar.pl - XML <br>
            Nokaut.pl - XML <br>
            RAKSSQL - XML <br>
          </div>
          W chwili obecnej do dyspozycji jedynie eksport do serwisu aukcyjnego Ceneo.pl.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  
  <div class=roweven>
    <div class=datalabel><label for="OFERTA_NAZWA">Nazwa:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_nazwa_hint');" class=help></a>

        <input type="text" name="NAZWA" value="{$oferta->NAZWA}" size=80 maxlength=128 id="OFERTA_NAZWA" onchange="update_oferta_url( this);" >

        <div id="oferta_nazwa_hint" class="hint">
          Dowolny tekst wpisywany przez uytkownika w celu atwiejszego rozpoznawania
          generowanego pliku oferta. Nazw mona traktowa jak nazw pliku na dysku serwera, bez rozszerzenia xml.
          Maksymalnie 128 znakw.
        </div>
    </div>
    <div class=rowend></div>
  </div>


  <div class=roweven>
    <div class=datalabel><label for="OFERTA_URL">Plik oferty:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_url_hint');" class=help></a>

        <span id="oferta_url_span" ><a href="{$SITE_URL}/oferta.php?format={$oferta->FORMAT}&oferta={$oferta->NAZWA}" target=_blank>{$SITE_URL}/oferta.php?format={$oferta->FORMAT}&oferta={$oferta->NAZWA}</a></spn>

        <div id="oferta_url_hint" class="hint">
            Jest to adres url jaki naley wpisa w pasku adresu przegldarki
            aby zosta wygenerowany plik xml. Jednoczenie jest to adres url
            jaki naley wpisa dla serwisu Ceneo.pl.
        </div>
    </div>
    <div class=rowend></div>
  </div>


  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_KODOWANIE">Kodowanie:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_kodowanie_hint');" class=help></a>

        <select name="KODOWANIE" id="OFERTA_KODOWANIE">
            <option value="">Wybierz</option>
            {html_options options=$kodowania selected=$oferta->KODOWANIE}
        </select>

        <div id="oferta_kodowanie_hint" class="hint">
          Kodowanie w jakim ma by zapisany plik oferta.<br>
          Plik naley przygotowa w jednym z trzech dostpnych typw kodowa:<br><br>
          <div style="padding-left: 14px;">
            Central European  ISO88592<br>
            Central European  Windows 1250<br>
            Unicode  UTF8<br>
          </div>
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=roweven>
    <div class=datalabel><label for="OFERTA_BRANZA">Brana:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_branza_hint');" class=help></a>

        <select name="BRANZA" id="OFERTA_BRANZA" onchange="oferta_branza_onchange(this);">
            <option value="">Wybierz</option>
            {html_options options=$oferta_branze selected=$oferta->BRANZA }
        </select>

        <div id="oferta_branza_hint" class="hint">Brana dla jakiej ma by generowany xml.
        Aby mona byo poprawnie zintegrowa produkt, w pliku musz by zawarte
        podstawowe dane na jego temat. W zalenoci od wystawianego asortyment, oferta wymaga rnego zestawu atrybutw,
        ktre dodawtkowo powinny znale si w generowanym pliku oprcz nazwy i ceny towaru.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_RODZAJ">Prezentowana oferta:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_rodzaj_hint');" class=help></a>

        <select name="RODZAJ" id="OFERTA_RODZAJ" onchange="oferta_rodzaj_onchange(this);">
            <option value="">Wybierz</option>
            {html_options options=$oferta_rodzaje selected=$oferta->RODZAJ}
        </select>

        <div id="oferta_rodzaj_hint" class="hint">
          Mona ograniczy ofert do towarw wywietlanych z danej grupy lub cennikw.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  

  <div class=roweven>
    <div class=datalabel><label for="OFERTA_CENA">Rodzaj ceny:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_cena_hint');" class=help></a>

        <select name="CENA_ID" id="OFERTA_CENA">
            <option value="">Wybierz</option>
            {html_options options=$ceny selected=$oferta->CENA_ID}
        </select>

        <div id="oferta_cena_hint" class="hint">
          Uwaga zaleca si aby cena towarw w ofercie zgadzaa si
          z cen wywietlan w e-commerce. Mona cen zostawi pust domylnie
          zostanie wzita cena www.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_DOSTEPNOSC">Dostpno towaru:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_dostepnosc_hint');" class=help></a>

        <select name="DOSTEPNOSC" id="OFERTA_DOSTEPNOSC" onchange="oferta_dostepnosc_onchange(this);">
            {html_options options=$oferta_dostepnosci selected=$oferta->DOSTEPNOSC}
        </select>

        <div id="oferta_dostepnosc_hint" class="hint">
            Moemy ograniczy towary w ofercie do towarw dostpnych lub ktrych stan
            jest wikszy od stanu minimalnego ustawionego dla danego towaru w kartotece.
            Domylnie s wywietlane wszystkie towary.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div id="oferta_stan_towaru_row" class="display{if empty($oferta->DOSTEPNOSC)}0{else}1{/if}">
    <div class=roweven>
      <div class=datalabel><label for="OFERTA_STAN_TOWARU">Sposb obliczania stanu towaru:</label></div>
      <div class=datavalue>
          <a onclick="view('oferta_stan_towaru_hint');" class=help></a>

          <select name="STAN_TOWARU" id="OFERTA_STAN_TOWARU" onchange="oferta_stan_towaru_onchange(this);">
              {html_options options=$oferta_stany_towaru selected=$oferta->STAN_TOWARU}
          </select>

          <div id="oferta_stan_towaru_hint" class="hint">
              Stan towaru moe by liczony w taki sam sposb jak w e-commerce.
              Wwczas zmiana w ustawieniach e-commerce spowoduje zmian przy generowaniu pliku oferty.
              Moe by liczony tylko z magazynu z ustawie e-commerce ze wszystkich magazynw lub wybranych.
          </div>
      </div>
      <div class=rowend></div>
    </div>

    <div class="rowodd{if $oferta->STAN_TOWARU==3} display1{else} display0{/if}" id="oferta_magazyny_row" >
      <div class=datalabel><label for="OFERTA_STAN_TOWARU">Magazyny:</label></div>
      <div class=datavalue>
          {foreach from=$magazyny key=mag_id item=mag_nazwa}
              <div style="padding: 2px;">
                <input type="checkbox" class="checkbox" value="{$mag_id}" name="MAGAZYNY[]" {if in_array($mag_id,$oferta->MAGAZYNY)} checked {/if} id="of_mag_{$mag_id}">
                <label for="of_mag_{$mag_id}">{$mag_nazwa}</label>
              </div>
          {/foreach}
      </div>
      <div class=rowend></div>
    </div>
  </div>

  <div class=roweven>
    <div class=datalabel><label for="OFERTA_REQ_PARAM">Wymagany parametr:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_req_param_hint');" class=help></a>

        <select name="REQ_PARAM" id="OFERTA_REQ_PARAM">
            <option value="">Wybierz</option>
            {html_options options=$params selected=$oferta->REQ_PARAM}
        </select>

        <div id="oferta_req_param_hint" class="hint">
          Moemy wybra parametr, ktry bdzie wymagany w trakcie robienia pliku z ofert.
          Jeli towar nie ma przypisanego tego parametru wwczas nie zostanie
          wywietlony w ofercie.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_BEZ_OPISOW">Bez opisw:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('oferta_bez_opisow_hint');" class=help></a>

        <input type="checkbox" name="BEZ_OPISOW" value="1" {if $oferta->BEZ_OPISOW}checked{/if} id="OFERTA_BEZ_OPISOW" >

        <div id="oferta_bez_opisow_hint" class="hint">
          Jeli oferta w swojej specyfikacji zawiera opisy to tym checkboxem mona
          wyczy wysyanie opisu w takiej ofercie.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=roweven>
    <div class=datalabel><label for="OFERTA_CENA_NETTO">Cena netto:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('oferta_cena_netto_hint');" class=help></a>

        <input type="checkbox" name="CENA_NETTO" value="1" {if $oferta->CENA_NETTO}checked{/if} id="OFERTA_CENA_NETTO" >

        <div id="oferta_cena_netto_hint" class="hint">
          Domyslnym rodzajem ceny ktra jest eksportowana w plikach do ceneo, nokaut i innych serwisw
          jestcena brutto. Zaznaczajc ten checkbox bdzie eksportowana cena netto.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_ZDJECIE_FORMAT">Format zdjcia:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_zdjecie_format_hint');" class=help></a>

        <select name="ZDJECIE_FORMAT" id="OFERTA_ZDJECIE_FORMAT">
            <option value="">Wybierz</option>
            {html_options options=$oferta->zdjecia_formaty selected=$oferta->ZDJECIE_FORMAT}
        </select>

        <div id="oferta_zdjecie_format_hint" class="hint">
            Do jakiego formatu zdj maj by podawane adresy url w generowanym pliku oferty.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd>
    <div class=datalabel><label for="OFERTA_USE_CACHE">Cache:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_cache_hint');" class=help></a>

        <input type="checkbox" name="USE_CACHE" value="1" {if $oferta->USE_CACHE}checked{/if} id="OFERTA_USE_CACHE" onclick="oferta_cahce_onclick(this)">

        <div id="oferta_cache_hint" class="hint">Czy plik xml z oferta do serwisu oferta.pl ma by chachowany. W przypadku wczenia
        cache'owania plik bdiz zapisywany w katalogu {$TEMP_DIR}/oferta pod nazw podan w polu "nazwa". Jeli okres
        cache'owania zostanie podany 0 wwczas plik za kadym razem bdzie generowany a wynik zapisywany w pliku.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="roweven display{$oferta->USE_CACHE}" id="oferta_cache_period_row">
    <div class=datalabel><label for="OFERTA_CACHE_PERIOD">Cache okres:</label></div>
    <div class=datavalue>
        <a onclick="view('oferta_cache_period_hint');" class=help></a>
        <input type="text" name="CACHE_PERIOD" value="{$oferta->CACHE_PERIOD}" size=11 maxlength=11 id="OFERTA_CACHE_PERIOD" >

        <div id="oferta_cache_period_hint" class="hint">
            Okres przez jaki bdzie cache'owany plik oferta jeli ju raz zosta wygenerowany.
            W przypadku caej oferty i duej iloci towarw ma to do spore znaczenia, aby
            zbdnie nie obcia serwera. Okres chache'owania pliku naley poda w sekunadach.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd id="oferta_grupa_row">
    <div class=datalabel>Grupa dowolna:</div>
    <div class=datavalue>
      <a onclick="view('oferta_grupa_hint');" class=help></a>
      
      <input type="hidden" name="GRUPA_ID" value="{$oferta->GRUPA_ID}" >
      <input class="text" type="text" name="GRUPA_NAZWA" value="{$oferta->GRUPA_NAZWA}" size=30 readonly>
      <input type="button" name="tree_btn" value="..." onclick="view('tree_div');">

      <div id="oferta_grupa_hint" class="hint">Grupa dowolna z jakiej maja by wywietlane towary do oferta.pl</div>
      <div class="display0" id="tree_div">{$tree_str}</div>
    </div>
    <div class=rowend></div>
  </div>

<div id="oferta_cenniki_row">
  <div class="rowhead">Cenniki:</div>
  <div class=rowodd id="oferta_cenniki_div"></div>
  <div style="text-align:right;">{make_btn napis="Wybierz cenniki" adres="" onclick="cenniki_wybierz('oferta');"}</div>
</div>

{**************************************************************************************************}
<div id="oferta_dd_row" class="display0">
  <div class="rowhead">
      <a onclick="view('oferta_dd_hint');" class=help></a> Dane dodatkowe:
  </div>
  <div id="oferta_dd_hint" class="hint">&nbsp;</div>
  <div class=rowodd id="oferta_dd_div">&nbsp;</div>
</div>

{**************************************************************************************************}
<div id="oferta_atrybuty_row" class="display0">
  <div class="head">
      <a onclick="view('oferta_atrybuty_hint');" class=help></a>    Atrybuty:
  </div>
  <div id="oferta_atrybuty_hint" class="hint">
      Okres przez jaki bdzie cache'owany plik oferta jeli ju raz zosta wygenerowany.
      W przypadku caej oferty ma to do spore znaczenia aby zbednie nie obcia serwera,
      zwaszcza e ilo towaru na magazynie nie jest eksportowana do oferta.
  </div>
  <div id="oferta_atrybuty_div">&nbsp;</div>

  <div id="oferta_dodaj_atrybut_div" style="text-align:right;">{make_btn napis="Dodaj atrybut" adres="" onclick="oferta_dodaj_atrybut();"}</div>
</div>
{**************************************************************************************************}
  <div class="head"><label for="OFERTA_UWAGI">Uwagi:</label></div>
  <div><textarea name="UWAGI" rows=3 style="width:100%;" id="OFERTA_UWAGI">{$oferta->UWAGI}</textarea></div>

  <div class="btns">
      <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif">
      {if isset($anuluj_onclick) }
          {make_btn napis=" Anuluj " adres="" style="width: 80px; float: right;" onclick="$anuluj_onclick"}
      {else}
          {make_btn napis=" Anuluj " adres="" style="width: 80px; float: right;" onclick="opener.focus(); window.close();"}
      {/if}

      {if $oferta->ID > 0}
        {assign var="ID" value=$oferta->ID}
        {make_btn napis="Usu" adres="$SELF_URL?action=$action&amp;mode=$MODE_DEL&amp;ID=$ID&amp;win=$win" style="width: 70px; float: right;"}
      {/if}

      {make_btn napis="Zapisz" adres="" onclick="document.forms['oferta_form'].submit();" style="width: 70px; float: right;"}
  </div>
</form>

<script type="text/javascript">
{$oferta->dane_js}
{$oferta->atrybuty_js}

oferta_init('{$oferta->FORMAT}', '{$oferta->BRANZA}', a_values, d_values );

cenniki_load('oferta', oferta_cenniki_print);
</script>
