// JavaScript Document
var o_grupy_operacji_ajax = createXmlHttpRequestObject();
var grupy_operacji = [];
var grupy_operacji_onload = null;


function load_grupy_operacji( fun ){
    grupy_operacji_onload = fun;
    
    server_connect( o_grupy_operacji_ajax, ADMIN_URL + '?action=' + ACTION_OP_GRUPY + '&mode=' + MODE_AJAX + '&ajax=1', grupy_operacji_response );
}

function grupy_operacji_response( o_xml, o_txt ){
    if( arguments.length < 2 ){
        alert('Uwaga by moe zostae wylogownay z administratora. Upewnij si e jeste zalogowany odwieajc stron.');
        return false;
    }
    
    var o_grupy_operacji_xml = o_xml.getElementsByTagName('wiersz');
    var o_grupa_operacji_xml  = new Object();
    var o_grupa_operacji      = new Object();

    //zeruje alarmy
    grupy_operacji  = new Object();
    grupy_operacji_options = new Object();

    var atrybuty = ['ID', 'NAZWA' ];

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var key, value;
    var i, j;

    for( i = 0; i < o_grupy_operacji_xml.length; i++){
        o_grupa_operacji_xml = o_grupy_operacji_xml.item(i);
        o_grupa_operacji = new Object();

        for( j = 0; j < atrybuty.length; j++){
            key   = atrybuty[j];
            value = o_grupa_operacji_xml.getAttribute( key );
            o_grupa_operacji[key] = value;
        }

        grupy_operacji[o_grupa_operacji.ID]  = o_grupa_operacji ;
        grupy_operacji_options[o_grupa_operacji.ID] = o_grupa_operacji.NAZWA;
    }


    if( typeof(grupy_operacji_onload) == 'function' ){
        grupy_operacji_onload( grupy_operacji, grupy_operacji_options );

        grupy_operacji_onload = null;
    }
}


function operacje_grupy_update_select( o_select, val ){
    var o_args = new Array();
    for( var i = 2; i < arguments.length; i++ ){
        o_args.push(arguments[i]);
    }
    
    load_grupy_operacji( function ( o_grupy_operacji, o_options ){
        make_select( o_select, o_options, val );

        for( var i = 0; i < o_args.length; i++ ){
            if( typeof(o_args[i]) == 'function' ){
                o_args[i](o_grupy_operacji, o_options);
            }else{
                make_select( o_args[i], o_options );
            }
        }
    } );
}

