// JavaScript Document
var o_rabat_ajax = createXmlHttpRequestObject();
var o_towar = new Object();
var form_name = 'rabat_form';

function rabat_update_grupat( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['ID_GRUPYT'].value = id;
    o_form.elements['NAZWA_GRUPYT'].value = nazwa;
}

function rabat_update_grupak( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['ID_GRUPYK'].value = id;
    o_form.elements['NAZWA_GRUPYK'].value = nazwa;
}

var o_rabat_kontrahent_row = null;
var o_rabat_grupak_row = null;
function rabat_dla_onchange( o_sel ){
    if(!o_rabat_grupak_row){
        o_rabat_grupak_row = document.getElementById('rabat_grupak_row');
        o_rabat_kontrahent_row = document.getElementById('rabat_kontrahent_row');
    }

    o_rabat_kontrahent_row.style.display = 'none';
    o_rabat_grupak_row.style.display = 'none';
    if( o_sel.value == 1 ){
        o_rabat_grupak_row.style.display = 'block';
    }else if( o_sel.value == 0 ){
        o_rabat_kontrahent_row.style.display = 'block';
    }
}

var o_rabat_producent_row = null;
var o_rabat_towar_row = null;
var o_rabat_grupat_row = null;
var o_rabat_sposob_platnosci_row = null;
var o_rabat_cena_row = null;
var o_rabat_typ_konta_row = null;


function rabat_na_onchange( o_sel ){

    if( !o_rabat_producent_row ){
        o_rabat_producent_row = document.getElementById('rabat_producent_row');
        o_rabat_towar_row = document.getElementById('rabat_towar_row');
        o_rabat_grupat_row = document.getElementById('rabat_grupat_row');
        o_rabat_sposob_platnosci_row = document.getElementById('rabat_sposob_platnosci_row');
        o_rabat_cena_row = document.getElementById('rabat_cena_row');
        o_rabat_typ_konta_row = document.getElementById('rabat_typ_konta_row');
    }

    o_rabat_producent_row.style.display = 'none';
    o_rabat_towar_row.style.display = 'none';
    o_rabat_grupat_row.style.display = 'none';
    o_rabat_sposob_platnosci_row.style.display = 'none';
    if( o_rabat_typ_konta_row ) o_rabat_typ_konta_row.style.display = 'none';
    o_rabat_cena_row.style.display = 'block';
    $('#rabat_promocje_row').hide();

    if( o_sel.value == 1 ){
        o_rabat_grupat_row.style.display = 'block';
    }else if( o_sel.value == 2 ){
        o_rabat_producent_row.style.display = 'block';
        if( o_rabat_typ_konta_row ) o_rabat_typ_konta_row.style.display = 'block';
    }else if(o_sel.value == 0 ){
        o_rabat_towar_row.style.display = 'block';
    }else if( o_sel.value == 3 ){
        o_rabat_grupat_row.style.display = 'block';
        o_rabat_producent_row.style.display = 'block';
    }else if( o_sel.value == 4 ){
        o_rabat_sposob_platnosci_row.style.display = 'block';
        o_rabat_cena_row.style.display = 'none';
        if( o_rabat_typ_konta_row ) o_rabat_typ_konta_row.style.display = 'block';
        $('#rabat_promocje_row').show();
    }else if(o_sel.value == 5 ){
        o_rabat_cena_row.style.display = 'none';
        if( o_rabat_typ_konta_row ) o_rabat_typ_konta_row.style.display = 'block';
        $('#rabat_promocje_row').show();
    }else if(o_sel.value == 6 ){
        o_rabat_cena_row.style.display = 'none';
        if( o_rabat_typ_konta_row ) o_rabat_typ_konta_row.style.display = 'block';
        $('#rabat_promocje_row').show();
    }

}
function rabat_towar_onchange( o_input ){
    if( o_input.value == '' ){
        o_input.form.elements['ID_TOWARU'].value = '';
    }
}

function rabat_kontrahent_onchange( o_input ){
    if( o_input.value == '' ){
        o_input.form.elements['ID_KONTRAHENTA'].value = '';
    }
}

function rabat_onchange( o_sel ){
    if( o_sel.selectedIndex == 0  ){
        o_sel.form.elements['RABAT'].disabled = false;
    }else{
        o_sel.form.elements['RABAT'].disabled = true;
    }
}


function rabat_kontrahent_onreturn( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['ID_KONTRAHENTA'].value = id;
    o_form.elements['NAZWA_KONTRAHENTA'].value = nazwa;

    if( o_form.elements['IDCENY'] )
        rabat_cena_onchange( o_form.elements['IDCENY'] );
}

function rabat_kontrah_update_more(el){
    var search_for = "item_id=";
    var pos1 = el.innerHTML.indexOf(search_for) + search_for.length + 1;
    var pos2 = el.innerHTML.indexOf(" ", pos1);
    var id = el.innerHTML.substring(pos1, pos2 - 1);

    id = parseInt(id);

    if( !isNaN(id) ){
        document.forms[form_name].elements['ID_KONTRAHENTA'].value = id;
    }
}

function rabat_towar_onreturn( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['ID_TOWARU'].value = id;
    o_form.elements['NAZWA_TOWARU'].value = nazwa;

    server_connect( o_rabat_ajax, ADMIN_URL + '?action=' + ACTION_TOWARY + '&mode=' + MODE_AJAX + '&ID=' + id, rabat_towar_response );

    if(o_form.elements['IDCENY'])
        rabat_cena_onchange( o_form.elements['IDCENY'] );
}

function rabat_towar_update_more(el){
    var search_for = "item_id=";
    var pos1 = el.innerHTML.indexOf(search_for) + search_for.length + 1;
    var pos2 = el.innerHTML.indexOf(" ", pos1);
    var id = el.innerHTML.substring(pos1, pos2 - 1);

    id = parseInt(id);

    if( !isNaN(id) ){
        document.forms[form_name].elements['ID_TOWARU'].value = id;
    }
}

function rabat_towar_response( o_xml, o_txt ){
    if( arguments.length < 2 ){
        alert('Bdna odpowied serwera. Upewnij si czy jeste zalogowany do administratora.');
        return false;
    }

    o_towar = new Object();

    var o_towar_xml = o_xml.getElementsByTagName('towar').item(0);

    var i, o_atrybut;

    for( i = 0; i < o_towar_xml.attributes.length; i++){
        o_atrybut = o_towar_xml.attributes[i];
        o_towar[o_atrybut.name] = o_atrybut.value;
    }

    o_towar.VAT = parseFloat(o_towar.VAT);
}

var o_rabat_cena_div = null;
function rabat_cena_onchange( o_sel ){

    if( !o_rabat_cena_div ){
        o_rabat_cena_div = document.getElementById('rabat_cena_div');
    }

    o_rabat_cena_div.style.display = 'none';

    if( o_sel.selectedIndex == 0  ){
        if( o_sel.form.ID_TOWARU.value > 0 && o_sel.form.ID_KONTRAHENTA.value > 0  ){
            o_rabat_cena_div.style.display = 'block';
        }
    }
}


function rabat_przelicz_ceny( o_input ){
    var o_form = o_input.form;

    var cenan = number_format(o_form.CENA.value);
    var cenab = number_format(o_form.CENAB.value);

    if( o_input.name == 'CENA' ){
        cenab = round(cenan * (1 + ( o_towar.VAT /100)), 2);

        o_form.CENAB.value = currency_format(cenab);
    }else if( o_input.name == 'CENAB' ) {
        cenan = round(cenab / (1 + (o_towar.VAT /100)),2);

        o_form.CENA.value = currency_format(cenan);
    }
}

var o_rabat_kontrahenci = null;
function rabaty_kontrahenci_onreturn(){
    o_rabat_kontrahenci.load();
}

function rabat_zastosuj_do_pozostalych( o_check, num ){
    var opcja = -1, i;
    var o_form = o_check.form;

    if( !o_check.checked ){
        return false;

    }

    for( i = 0; o_form.elements['odp['+num+']'][i]; i++ ){
        if( o_form.elements['odp['+num+']'][i].checked ){
            opcja = i;
        }
    }

    if( opcja < 0 ){
        alert('Jeli checsz zastosowa odpowied do pozostaych bdw musisz najpierw wybra jaka opcj.');
        o_check.checked = false;
        return false;
    }

    //i = num + 1;

    var o_input = null;
    for( var a in o_form.elements ){
        o_input = o_form.elements[a];

        if( o_input.type == 'radio' ){
           dopasowanie = o_input.name.match(/odp\[([0-9]+)\]/);

           if( dopasowanie ){
              dopasowanie[1] = parseInt(dopasowanie[1]);

              if( dopasowanie[1] > num ){
                  o_form.elements[o_input.name][opcja].checked = true;
              }
           }
        }
    }
}
