// JavaScript Document
var form_name = 'wymiar_form';

function wymiar_update_grupat( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['GRUPAT_ID'].value = id;
    o_form.elements['GRUPAT_NAZWA'].value = nazwa;
}

var o_wymiar_towar_row = null;
var o_wymiar_grupat_row = null;
var o_wymiar_jednostka_row = null;

function wymiar_dla_onchange( o_sel ){

    if( !o_wymiar_towar_row ){
        o_wymiar_towar_row = document.getElementById('wymiar_towar_row');
        o_wymiar_grupat_row = document.getElementById('wymiar_grupat_row');
        o_wymiar_jednostka_row= document.getElementById('wymiar_jednostka_row');
    }
    
    o_wymiar_towar_row.style.display = 'none';
    o_wymiar_grupat_row.style.display = 'none';
    o_wymiar_jednostka_row.style.display = 'none';

    if( o_sel.value == 1 ){
        o_wymiar_towar_row.style.display = 'block';
    }else if( o_sel.value == 2 ){
        o_wymiar_grupat_row.style.display = 'block';
    }else if( o_sel.value == 3 ){
        o_wymiar_jednostka_row.style.display = 'block';
    }
    
}
function wymiar_towar_onchange( o_input ){
    if( o_input.value == '' ){
        o_input.form.elements['ID_TOWARU'].value = '';
    }
}

function wymiar_towar_onreturn( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['TOWAR_ID'].value = id;
    o_form.elements['TOWAR_NAZWA'].value = nazwa;
}

function wymiar_towar_update_more(el){
    var search_for = "item_id=";
    var pos1 = el.innerHTML.indexOf(search_for) + search_for.length + 1;
    var pos2 = el.innerHTML.indexOf(" ", pos1);
    var id = el.innerHTML.substring(pos1, pos2 - 1);

    id = parseInt(id);

    if( !isNaN(id) ){
        document.forms[form_name].elements['TOWAR_NAZWA'].value = id;
    }
}

function wymiar_wylacz_onclick( o_check ){
    if( o_check.checked ){
        o_check.form.elements['DLUGOSC'].disabled = true;
        o_check.form.elements['WYSOKOSC'].disabled = true;
        o_check.form.elements['SZEROKOSC'].disabled = true;
    }else{
        o_check.form.elements['DLUGOSC'].disabled = false;
        o_check.form.elements['SZEROKOSC'].disabled = false;
        o_check.form.elements['WYSOKOSC'].disabled = false;
    }
    
}