var o_time_left = null;
var stop_flag = false;
var time_period = 0;
var time_left = 0;
var timeoutId = -1;


function mailer_preview( o_form){
    if( arguments.length == 0 ){
        o_form = document.forms['mail_form'];
    }
    
    //otworz_okno( '', 'mail_preview', 800, 600 );
    
    o_form.target = '_blank';
    o_form.mode = MODE_DISP;
    
    o_form.submit();
    
    o_form.target = '';
}

function mailer_wczytaj( o_form ){
    if( arguments.length == 0 ){
        o_form = document.forms['mail_form'];
    }
    
    o_form.wczytaj.value = 'true';
    o_form.submit();
}




var mail_stats = new Object();
var o_wyslano= null
var o_pozostalo = null;

var o_mailer_ajax = createXmlHttpRequestObject();

function odliczanie(){
    time_left--;

    if( !o_time_left ){
        o_time_left = document.getElementById('time_left');
    }

    o_time_left.innerHTML = 'Pozostao: ' + time_left_format(time_left);

    if( time_left > 0 ){
        if( !stop_flag && mail_stats['pozostalo'] > 0 )
            timeoutId = setTimeout(odliczanie, 1000 );
    }else{
        mail_form_send();
    }
}

function time_left_format( tl ){
    var dni  = 0;
    var godz = 0;
    var min  = 0;
    var sec  = 0;
    var tl_str = new String();

    dni = Math.floor( tl / (24 * 60 * 60) );
    if( dni > 0 ){
        if( dni == 1 ){
            tl_str = '1 dzie ';
        }else{
            tl_str = dni + ' dni ';
        }
        tl -= dni * (24 * 60 * 60);
    }

    godz = Math.floor( tl / ( 60 * 60) );
    if( godz > 0 ){
        tl_str += liczebnik( godz, 'godzin');

        tl -= godz * ( 60 * 60);
    }

    min = Math.floor( tl / ( 60) );
    if( min > 0 ){
        tl_str += liczebnik( min, 'minut');

        tl -= min * 60;
    }

    sec = tl;
    tl_str += liczebnik( sec, 'sekund');

    return tl_str;
}

function liczebnik( liczba, podstawa){
    var str = new String();

    if( liczba > 10 && liczba <= 19 ){
        str += liczba + ' ' + podstawa + ' ';
    }else{
        var cyfra = liczba % 10;

        if( cyfra == 1 ){
            if( liczba < 10 ){
                str += liczba + ' ' + podstawa + 'a ';
            }else{
                str += liczba + ' ' + podstawa + ' ';
            }
        }else if( cyfra > 1 && cyfra < 5  ) {
            str += liczba + ' ' + podstawa + 'y ';
        }else{
            str += liczba + ' ' + podstawa + ' ';
        }
    }

    return str;
}

function set_stop_falg( o_el ){

    if( stop_flag ){
        //o_el.innerHTML = 'Stop';
        o_el.value = 'Stop';
        stop_flag = false;
        odliczanie();
    }else{
        //o_el.innerHTML = 'Start';
        o_el.value = 'Start';
        stop_flag = true;
        if( timeoutId != -1 ){
            clearTimeout(timeoutId);
            timeoutId = -1;
        }
    }
}



function podsumowanie(){
    if( !o_wyslano ){
        o_wyslano = document.getElementById('wyslano');
        o_pozostalo = document.getElementById('pozostalo');
    }

    mail_stats['wyslano'] += mail_stats['cnt'];
    if( mail_stats['wyslano'] > mail_stats['w_sumie']){
        mail_stats['wyslano'] = mail_stats['w_sumie'];
    }
    mail_stats['pozostalo'] = mail_stats['w_sumie'] - mail_stats['wyslano'];

    o_wyslano.innerHTML =   mail_stats['wyslano'] + ' z ' + mail_stats['w_sumie'];

    o_pozostalo.innerHTML = mail_stats['pozostalo'] + ' z ' + mail_stats['w_sumie'];

    if( mail_stats['pozostalo'] <= 0 ){
        stop_flag = true;
        if( timeoutId != -1 ){
            clearTimeout(timeoutId);
            timeoutId = -1;
        }
    }
}


function confirm_mail_form_send(){

    if( mail_stats['pozostalo'] <= 0  ){
        alert('Ju nie zostaa do wysania adna wiadomo!');
        return false;
    }

    if( !confirm('Uwaga! Za chwil rozpocznie si wysyanie wiadomoci e-mail. Jeste pewien e chcesz kontynuowa?') ){
        return false;
    }

    mail_form_send();

}

/******************************************************************************/
function mail_form_send( f ){
    if( arguments.length == 0 ){
        f = document.forms['mail_confirm_form'];
        if( !f ){
            alert('Nie znaleziono formularza o nazwie: mail_confirm_form');
            return false;
        }
    }

    if ( !f.elements['ajax'].checked ){
        f.submit();
        return true;
    }

/**************************************************************************************************/
//zatrzymuje zegar
    stop_flag = true;
    if( timeoutId != -1 ){
        clearTimeout(timeoutId);
        timeoutId = -1;
    }

    if( o_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (o_ajax.readyState == 4 || o_ajax.readyState == 0){
              //debug.pisz('cze sie z adresem: kontrahenci1.php?id='+ contact_id);

              showTlo();
              showLoading();

              if ( send_form( o_ajax, f, mail_form_response ) ){
                  progress_start();
              }
            }else{
                // jeli jest zajty...
                alert('Uwaga jeszcze trwa import!');
            }
        }catch(e){
          alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function mail_form_response(){
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (o_ajax.readyState == 4){
        // tylko jeli status dania HTTP jest "OK"
        if (o_ajax.status == 200){
            try{
                progress_end();

                if( o_ajax.responseText == 'OK' ){

                    time_left = time_period;
                    stop_flag = false;
                    try{
                      odliczanie();
                    }catch(err){}

                    try{
                        podsumowanie();
                    }catch(err){}

                    //alert('Wysyanie maili zostao zakoczone pomylnie.');
                }else{
                    alert('Wystapiy bdy!' +  o_ajax.responseText );
                }
                
                progress_clean();

                hideLoading();
                hideTlo();
                return true;
            }catch(e){
                displayError('Bd w mail_form_response: ' + e.toString());
            }
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + o_ajax.responseText);
        }
    }
}

function mailer_wyslij( ajax ){

    var uri = ADMIN_URL + '?action='+action+'&confirm=1';
    
    if( !ajax ){
        window.location = uri;
        return;
    }

    if( o_mailer_ajax ){
        try{
            /* jeli obiekt XMLHttpRequest nie jest zajty obsug poprzedniego dnia... */
            if (o_mailer_ajax.readyState == 4 || o_mailer_ajax.readyState == 0){
              showTlo();
              showLoading();
              progress_init();

              server_connect( o_mailer_ajax, uri + '&ajax=1', mailer_wyslij_response );

              progress_start();
            }else{ // jeli jest zajty...
                alert('Uwaga jeszcze trwa import!');
            }
        }catch(e){
            alert("Nie mog poczy si z serwerem:\n" + e.toString());
        }
    }
}


function mailer_wyslij_response(){
    //po ukoczeniu procesu, decyduje co zrobi z otrzymanymi danymi
    if (o_mailer_ajax.readyState == 4){
        //tylko jeli status dania HTTP jest "OK"
        if ( o_mailer_ajax.status == 200 ){
        
            progress_end();
            
            var data = null;

            o_mailer_ajax.responseText = o_mailer_ajax.responseText.replace(/^\s+/,'').replace(/\s$/, '');

            try {
                data = eval('(' + o_mailer_ajax.responseText + ')');
            } catch( err ) {
                data = null;
            }
            
            try {

/**************************************************************************************************/

                if ( (typeof(data) == 'object' && data != null && typeof(data.message) == 'object') || o_mailer_ajax.responseText.match(/^[\+]?OK[\:]?/ ) ) {
                    alert('Newsletter zosta wysany pomylnie.');
                    //document.location.reload( true );
                } else {
                    var err_msg = xml_get_errors( o_mailer_ajax );
                    
                    if ( err_msg ) {
                        alert('Wystapiy bdy!' +  err_msg );
                    }else{
                        var $mailer_dialog = null;

                        $mailer_dialog = jQuery('#mailer_dialog');

                        if ( $mailer_dialog.length > 0 ) {
                            $mailer_dialog.html(o_mailer_ajax.responseText);
                        } else {
                            $mailer_dialog = jQuery('<div id="mailer_dialog">' + o_mailer_ajax.responseText + '</div>').appendTo('body');
                        }
                        
                        if ( confirm('Wystapiy bdy w trakcie wysyania newslettera, czy chcesz je wywietli?') ){
                            $mailer_dialog.dialog({
                                    title: 'Newsletter - bdy: ',
                                    bgiframe: true,
                                    show: 'clip',
                                    hide: 'clip',
                                    width: 'auto',
                                    height: 'auto',
                                    minWidth: 300,
                                    minHeight: 100,
                                    closeOnEscape: true,
                                    modal: false,
                                    draggable: true,
                                    close: function(){
                                        hideTlo();
                                    }
                            });
                        }
                    }
                }
                
            } catch(e) {
                displayError(e.toString());
            }
            
            progress_clean();
            hideLoading();
            hideTlo();
            
            return true;
        }else{
            displayError("Wystpi problem podczas pobierania danych:\n" + o_mailer_ajax.responseText);
        }
    }
}

/**************************************************************************************************/
function update_mailer_contacts_grupa_ext( id, name ){
    var o_form = document.forms['mail_form'];
    
    o_form.elements['grupa_id'].value = id;
    o_form.elements['grupa_name'].value = name;
}



function sms_licz_znaki( o_text ){
    var sms_znaki = 160;
    var o_form    = o_text.form;
    var liczba_smsow = 1;
    var pozostalo_znakow = 160;

    var znaki = o_text.value.length;
    
    if( sms_znaki < o_text.value.length ){
        sms_znaki = 153;
        
        liczba_smsow = Math.ceil( o_text.value.length / sms_znaki );
    }
    
    pozostalo_znakow = (liczba_smsow  * sms_znaki) - o_text.value.length;
    
    o_form.elements['liczba_smsow'].value = liczba_smsow;
    o_form.elements['pozostalo_znakow'].value = pozostalo_znakow;
}

var telefony = new Object();
var emails = new Object();

var contact_id = 0;

function get_telefony( o_sel ){
    var person_id = parseInt(o_sel.value);
    person_id =  isNaN(person_id) ? 0 : person_id;
    
    if( typeof(telefony[person_id]) == 'object' ){
        display_telefony( telefony[person_id] )
    }else{
        server_connect(o_mailer_ajax, ADMIN_URL + '?action='+ACTION_KONTRAHENCI+'&mode='+MODE_AJAX+'&contact_id='+contact_id+'&tel=1&person_id=' + person_id, person_telefony_response );
    }
    
}

function person_telefony_response( xmlRoot, txtResponse ){

    if( arguments.lenth < 2 ){
        alert('Nieprawidowa odpowied serwera');
        return false;
    }

    var o_telefony_xml = xmlRoot.getElementsByTagName('telefony').item(0);

    contact_id = parseInt(o_telefony_xml.getAttribute( 'contact_id' ));
    if( isNaN(contact_id) ){
        alert('Nie zosta zwrcony identyfikator kontrahenta.');
        return;
    }

    person_id = parseInt(o_telefony_xml.getAttribute( 'person_id' ));
    if( isNaN(person_id) ){
        alert('Nie zosta zwrcony identyfikator kontrahenta.');
        return;
    }


    var o_telefony = o_telefony_xml.getElementsByTagName('telefon');
    var o_telefon_xml = null;

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var id, numer;
    var i, j;

    telefony[person_id] = new Object();
    defualt_id = - 1;
    numery_count = 0;

    telefony[person_id] = {
        'length' : o_telefony.length,
        'person_id' : person_id,
        'default_id' : -1,
        'numery' : new Object()
    }

    for( i = 0; i < o_telefony.length; i++ ){
        o_telefon_xml = o_telefony.item(i);

        id = o_telefon_xml.getAttribute( 'ID' );
        numer = o_telefon_xml.getAttribute( 'NUMBER' );

        telefony[person_id].numery[id] = numer;
    }

    display_telefony(telefony[person_id]);
}

function get_person_emails( o_sel ){
    var o_form = o_sel.form;
    var person_id = parseInt(o_sel.value);
    person_id =  isNaN(person_id) ? 0 : person_id;


    if( typeof(emails[person_id]) == 'object' ){
        display_emails(emails[person_id]);
    }else{
        server_connect(o_mailer_ajax, ADMIN_URL + '?action='+ACTION_KONTRAHENCI+'&mode='+MODE_AJAX+'&contact_id='+contact_id+'&web=1&person_id=' + person_id, person_emails_response );
    }

}

function person_emails_response( xmlRoot, txtResponse ){

    if( arguments.lenth < 2 ){
        alert('Nieprawidowa odpowied serwera');
        return false;
    }
    
    var o_emails_xml = xmlRoot.getElementsByTagName('emails').item(0);

    contact_id = parseInt(o_emails_xml.getAttribute( 'contact_id' ));
    if( isNaN(contact_id) ){
        alert('Nie zosta zwrcony identyfikator kontrahenta.');
        return;
    }

    person_id = parseInt(o_emails_xml.getAttribute( 'person_id' ));
    if( isNaN(person_id) ){
        alert('Nie zosta zwrcony identyfikator kontrahenta.');
        return;
    }


    var o_emails = o_emails_xml.getElementsByTagName('email');
    var o_email_xml = null;

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var id, adres, defualt_id, emails_count;
    var i, j;

    emails[person_id] = new Object();
    defualt_id = - 1;
    emails_count = 0;

    emails[person_id] = {
        'length' : o_emails.length,
        'person_id' : person_id,
        'default_id' : -1,
        'emails' : new Object()
    }
    
    for( i = 0; i < o_emails.length; i++ ){
        o_email_xml = o_emails.item(i);

        id = o_email_xml.getAttribute( 'ID' );
        adres = o_email_xml.getAttribute( 'ADDRESS' );
        
        if( emails[person_id].defualt_id == -1 && o_email_xml.getAttribute( 'ADDRESS' ) ){
            emails[person_id].defualt_id = id;
        }

        emails[person_id].emails[id] = adres;
    }

    display_emails(emails[person_id]);
}

function display_emails( o_emails ){
    if( o_emails.length > 0 ){
        document.forms['mail_form'].elements['email_id'].style.display = 'block';
        document.forms['mail_form'].elements['email'].style.display = 'none';

        make_select( document.forms['mail_form'].elements['email_id'], o_emails.emails, o_emails.defualt_id );
        
        email_id_onchange(document.forms['mail_form'].elements['email_id']);
    }else{
        document.forms['mail_form'].elements['email_id'].style.display = 'none';
        document.forms['mail_form'].elements['email'].style.display = 'block';

        alert('Kontakt personalny nie posiada adresw e-mail!');
    }
}

function email_id_onchange( o_sel ){

    if ( o_sel.selectedIndex == 0 ){
        o_sel.form.elements['email'].value = '';
        o_sel.form.elements['email'].style.display = 'block';
    }else{
        o_sel.form.elements['email'].style.display = 'none';
        o_sel.form.elements['email'].value = o_sel.options[o_sel.selectedIndex].text;
    }

}


function numer_id_onchange( o_sel ){

    if ( o_sel.selectedIndex == 0 ){
        o_sel.form.elements['numer'].value = '';
        o_sel.form.elements['numer'].style.display = 'block';
        
    }else{
        o_sel.form.elements['numer'].style.display = 'none';
        o_sel.form.elements['numer'].value = o_sel.options[o_sel.selectedIndex].text;
    }

}


function display_telefony( o_telefony ){
    if( o_telefony.length > 0 ){
        document.forms['sms_form'].elements['numer_id'].style.display = 'block';
        document.forms['sms_form'].elements['numer'].style.display = 'none';

        make_select( document.forms['sms_form'].elements['numer_id'], o_telefony.numery, o_telefony.defualt_id );
        
        numer_id_onchange( document.forms['sms_form'].elements['numer_id'] );
    }else{
        document.forms['sms_form'].elements['numer_id'].style.display = 'none';
        document.forms['sms_form'].elements['numer'].style.display = 'block';

        alert('Kontakt personalny nie posiada adresw e-mail!');
    }
    
}

var o_dodatkowe_maile_row = null;
function dodatkowe_maile_onclick(o_check){
    if( !o_dodatkowe_maile_row ){
        o_dodatkowe_maile_row = document.getElementById('dodatkowe_maile_row');
    }
    
    if ( o_check.checked ){
        o_dodatkowe_maile_row.style.display = 'block';
    } else {
        o_dodatkowe_maile_row.style.display = 'none';
    }
}


var o_operacja_row = null;
function operacja_onclick(o_check){
    if( !o_operacja_row ){
        o_operacja_row = document.getElementById('operacja_row');
    }

    if ( o_check.checked ){
        o_operacja_row.style.display = 'block';
    } else {
        o_operacja_row.style.display = 'none';
    }
}
